Mailinglist Archive: opensuse-updates (89 mails)

< Previous Next >
openSUSE-SU-2015:0114-1: moderate: Security update for strongswan
openSUSE Security Update: Security update for strongswan
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:0114-1
Rating: moderate
References: #897048 #897512 #910491
Cross-References: CVE-2014-9221
Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that solves one vulnerability and has two fixes
is now available.

Description:


This update fixes the following security issues:

- denial-of-service vulnerability, which can be triggered by an IKEv2 Key
Exchange payload, that contains the Diffie-Hellman group 1025
(bsc#910491,CVE-2014-9221).
- Applied an upstream patch reverting to store algorithms in the
registration order again as ordering them by identifier caused weaker
algorithms to be proposed first by default (bsc#897512).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-54

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-54

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

strongswan-5.1.3-4.4.1
strongswan-debugsource-5.1.3-4.4.1
strongswan-ipsec-5.1.3-4.4.1
strongswan-ipsec-debuginfo-5.1.3-4.4.1
strongswan-libs0-5.1.3-4.4.1
strongswan-libs0-debuginfo-5.1.3-4.4.1
strongswan-mysql-5.1.3-4.4.1
strongswan-mysql-debuginfo-5.1.3-4.4.1
strongswan-nm-5.1.3-4.4.1
strongswan-nm-debuginfo-5.1.3-4.4.1
strongswan-sqlite-5.1.3-4.4.1
strongswan-sqlite-debuginfo-5.1.3-4.4.1

- openSUSE 13.2 (noarch):

strongswan-doc-5.1.3-4.4.1

- openSUSE 13.1 (i586 x86_64):

strongswan-5.1.1-8.1
strongswan-debugsource-5.1.1-8.1
strongswan-ipsec-5.1.1-8.1
strongswan-ipsec-debuginfo-5.1.1-8.1
strongswan-libs0-5.1.1-8.1
strongswan-libs0-debuginfo-5.1.1-8.1
strongswan-mysql-5.1.1-8.1
strongswan-mysql-debuginfo-5.1.1-8.1
strongswan-nm-5.1.1-8.1
strongswan-nm-debuginfo-5.1.1-8.1
strongswan-sqlite-5.1.1-8.1
strongswan-sqlite-debuginfo-5.1.1-8.1

- openSUSE 13.1 (noarch):

strongswan-doc-5.1.1-8.1


References:

http://support.novell.com/security/cve/CVE-2014-9221.html
https://bugzilla.suse.com/show_bug.cgi?id=897048
https://bugzilla.suse.com/show_bug.cgi?id=897512
https://bugzilla.suse.com/show_bug.cgi?id=910491


< Previous Next >
This Thread
  • No further messages